#version 330

// Input vertex attributes (from vertex shader)
in vec2 fragTexCoord;
in vec4 fragColor;
in vec3 fragPosition;
in vec3 fragNormal;

uniform float uFade;

out vec4 finalColor;

void main()
{
  finalColor = vec4(
    clamp(
      (.5-length(fragTexCoord-.5))*2.,0.,1.
      )*0.2*uFade*fragColor.rgb,
    1.);
}
